org.h2.command.ddl

## Class SequenceOptions

- java.lang.Object
- - org.h2.command.ddl.SequenceOptions

    public class SequenceOptions
    extends java.lang.Object

Sequence options.

### Constructor Summary

Constructors
Constructor and Description
`SequenceOptions()`

### Method Summary

Methods
`java.lang.Long` `getCacheSize(Session session)` Gets cache size.
`java.lang.Boolean` `getCycle()` Gets cycle flag.
`java.lang.Long` `getIncrement(Session session)` Gets increment value.
`java.lang.Long` `getMaxValue(Sequence sequence, Session session)` Gets max value.
`java.lang.Long` `getMinValue(Sequence sequence, Session session)` Gets min value.
`java.lang.Long` `getStartValue(Session session)` Gets start value.
`void` `setCacheSize(Expression cacheSize)` Sets cache size.
`void` `setCycle(java.lang.Boolean cycle)` Sets cycle flag.
`void` `setIncrement(Expression increment)` Sets increment value expression.
`void` `setMaxValue(Expression maxValue)` Sets max value expression.
`void` `setMinValue(Expression minValue)` Sets min value expression.
`void` `setStartValue(Expression start)` Sets start value expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceOptions

    public SequenceOptions()

### Method Detail

#### getStartValue

    public java.lang.Long getStartValue(Session session)

Gets start value.

Parameters:
  `session` - The session to calculate the value.
Returns:
  start value or `null` if value is not defined.

#### setStartValue

    public void setStartValue(Expression start)

Sets start value expression.

Parameters:
  `start` - START WITH value expression.

#### getIncrement

    public java.lang.Long getIncrement(Session session)

Gets increment value.

Parameters:
  `session` - The session to calculate the value.
Returns:
  increment value or `null` if value is not defined.

#### setIncrement

    public void setIncrement(Expression increment)

Sets increment value expression.

Parameters:
  `increment` - INCREMENT BY value expression.

#### getMaxValue

    public java.lang.Long getMaxValue(Sequence sequence,
                             Session session)

Gets max value.

Parameters:
  `sequence` - the sequence to get default max value.
  `session` - The session to calculate the value.
Returns:
  max value when the MAXVALUE expression is set, otherwise returns default max value.

#### setMaxValue

    public void setMaxValue(Expression maxValue)

Sets max value expression.

Parameters:
  `maxValue` - MAXVALUE expression.

#### getMinValue

    public java.lang.Long getMinValue(Sequence sequence,
                             Session session)

Gets min value.

Parameters:
  `sequence` - the sequence to get default min value.
  `session` - The session to calculate the value.
Returns:
  min value when the MINVALUE expression is set, otherwise returns default min value.

#### setMinValue

    public void setMinValue(Expression minValue)

Sets min value expression.

Parameters:
  `minValue` - MINVALUE expression.

#### getCycle

    public java.lang.Boolean getCycle()

Gets cycle flag.

Returns:
  cycle flag value or `null` if value is not defined.

#### setCycle

    public void setCycle(java.lang.Boolean cycle)

Sets cycle flag.

Parameters:
  `cycle` - flag value.

#### getCacheSize

    public java.lang.Long getCacheSize(Session session)

Gets cache size.

Parameters:
  `session` - The session to calculate the value.
Returns:
  cache size or `null` if value is not defined.

#### setCacheSize

    public void setCacheSize(Expression cacheSize)

Sets cache size.

Parameters:
  `cacheSize` - cache size.